/*======================================证件照制作换装预览接口_免费======================================*/
package main

import (
	"bytes"
	"crypto/md5"
	"encoding/base64"
	"encoding/json"
	"fmt"
	"io/ioutil"
	"net/http"
)

func MD5DressPreview(v string) string {
	d := []byte(v)
	m := md5.New()
	m.Write(d)
	b := m.Sum(nil)
	return base64.StdEncoding.EncodeToString([]byte(b))
}

func main() {
	appCode := "你的appcode"
	PreviewUrl := "https://dresspro.market.alicloudapi.com/preview"

	client := &http.Client{}
	data := make(map[string]interface{})
	data["dress_code"] = "lady001"                         //衣服模板code
	data["bk"] = "blue"                                    //见证件照规格列表
	data["photo_key"] = "5eac978b90654a9f84689000c7f501a8" //图片photo_key，证件照制作接口或高精接口返回的值"

	bytesData, _ := json.Marshal(data)
	req, _ := http.NewRequest("POST", PreviewUrl, bytes.NewReader(bytesData))
	req.Header.Set("Content-Type", "application/json")
	req.Header.Set("Authorization", "APPCODE "+appCode)

	md5Str := MD5DressPreview(string(bytesData))
	req.Header.Set("Content-MD5", md5Str)

	resp, _ := client.Do(req)
	fmt.Println(resp.Header)
	fmt.Println(resp.Header["X-Ca-Error-Message"])
	body, _ := ioutil.ReadAll(resp.Body)
	fmt.Println(string(body))

}
